Package com.pixelmed.apps

# Class KeepOnlyImagePixelModule

java.lang.Object
com.pixelmed.apps.KeepOnlyImagePixelModule

public class KeepOnlyImagePixelModule extends Object

A class of static methods to copy a DICOM image and retain only enough to describe pixels.

Retains the Pixel Data Module and whatever else is barely enough to describe the image (Number of Frames, SOP Class and Instance UIDs).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static AttributeTag[]`
`relevantGeneralSeriesModuleAttributeTags`
`protected static AttributeTag[]`
`relevantImagePixelModuleAttributeTags`
`protected static AttributeTag[][]`
`relevantModules`
`protected static AttributeTag[]`
`relevantMultiFrameModuleAttributeTags`
`protected static AttributeTag[]`
`relevantSOPCommonModuleAttributeTags`

## Constructor Summary

Constructors
Constructor
Description
`KeepOnlyImagePixelModule(String inputFileName, String outputFileName)`
Read a DICOM image input file and discard everything except what is required to describe the pixels

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a DICOM image input file and discard everything except what is required to describe the pixels.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### relevantImagePixelModuleAttributeTags

protected static AttributeTag[] relevantImagePixelModuleAttributeTags

### relevantMultiFrameModuleAttributeTags

protected static AttributeTag[] relevantMultiFrameModuleAttributeTags

### relevantGeneralSeriesModuleAttributeTags

protected static AttributeTag[] relevantGeneralSeriesModuleAttributeTags

### relevantSOPCommonModuleAttributeTags

protected static AttributeTag[] relevantSOPCommonModuleAttributeTags

### relevantModules

protected static AttributeTag[][] relevantModules

## Constructor Details

### KeepOnlyImagePixelModule

public KeepOnlyImagePixelModule(String inputFileName, String outputFileName) throws DicomException, FileNotFoundException, IOException

Read a DICOM image input file and discard everything except what is required to describe the pixels

Parameters:
  `inputFileName` - the input file name
  `outputFileName` - the output file name
Throws:
  `DicomException`
  `FileNotFoundException`
  `IOException`

## Method Details

### main

public static void main(String[] arg)

Read a DICOM image input file and discard everything except what is required to describe the pixels.

Parameters:
  `arg` - two parameters, the inputFile, outputFile